# PODNAME: Config::Model::models::Itself::WarpValue
# ABSTRACT:  Configuration class Itself::WarpValue

=encoding utf8

=head1 NAME

Config::Model::models::Itself::WarpValue - Configuration class Itself::WarpValue

=head1 DESCRIPTION

Configuration classes used by L<Config::Model>

Warp functionality enable a Value object to change its properties (i.e. default value or its type) dynamically according to the value of another Value object locate elsewhere in the configuration tree.

=head1 Elements

=head2 follow

Specify with the path of the configuration element that drives the warp, i.e .the elements that control the property change. These are specified using a variable name (used in the "rules" formula)and a path to fetch the actual value. Example $country => " ! country" I< Optional. Type hash of uniline.  > 

=head2 rules

Each key of the ordered hash is a test (as formula using the variables defined in "follow" element) that are tried in sequences to apply its associated effects. Only the first match is applied. I< Optional. Type hash of warped_node.  > 

=head1 SEE ALSO

=over

=item *

L<cme>

=back

=cut

